import request from '@/utils/request'

// 查询延期票主体对象列表
export function listPermit(query) {
  return request({
    url: '/ticket/delaypermits/list',
    method: 'get',
    params: query
  })
}

// 查询延期票主体对象详细
export function getDelayPermit(id) {
  return request({
    url: '/ticket/delaypermits/' + id,
    method: 'get'
  })
}

// 新增延期票主体对象
export function addDelayPermit(data) {
  return request({
    url: '/ticket/delaypermits',
    method: 'post',
    data: data
  })
}

// 修改延期票主体对象
export function updateDelayPermit(data) {
  return request({
    url: '/ticket/delaypermits',
    method: 'put',
    data: data
  })
}
